Skip to main content
`Ctrl`+`K`

# PCGAMGLayoutType

Layout for reduced grids for `PCType` `PCGAMG`

## Synopsis

    typedef enum {
      PCGAMG_LAYOUT_COMPACT,
      PCGAMG_LAYOUT_SPREAD
    } PCGAMGLayoutType;

## See Also

Preconditioners, `PCGAMG`, `PC`, `PCGAMGSetCoarseGridLayoutType()`

## Level

intermediate

## Location

include/petscpctypes.h

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages